Subject: bug#55086: closed (Re: bug#55086: 28.1; Improve doc of set-fontset-font)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Apr 2022 06:58:01 +0000

Your bug report

#55086: 28.1; Improve doc of set-fontset-font

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55086: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55086
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55086: 28.1; Improve doc of set-fontset-font
From: Eli Zaretskii <[email-masked]>
To: Howard Melman <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Apr 2022 09:57:27 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Howard Melman <[email-masked]>
> Date: Sat, 23 Apr 2022 17:51:21 -0400
> 
> The eldoc string for set-fontset-font in Emacs 28 is
> 
>     (NAME TARGET FONT-SPEC &optional FRAME ADD)
> 
> I found NAME and TARGET to be unhelpfully generic.  The
> docstring does say that name is the name of a fontset and
> that TARGET is about characters.
> 
> The elisp manual names the params as:
> 
>     Function: set-fontset-font name character font-spec &optional frame add
> 
> character is an improvement but it should be plural.
> 
> I think they should be the same in both places and
> this would be clearer:
> 
>     (FONTSET CHARACTERS FONT-SPEC &optional FRAME ADD)

Thanks, done.

Subject: 28.1; Improve doc of set-fontset-font
From: Howard Melman <[email-masked]>
To: GNU Emacs <[email-masked]>
Date: Sat, 23 Apr 2022 17:51:21 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

The eldoc string for set-fontset-font in Emacs 28 is

    (NAME TARGET FONT-SPEC &optional FRAME ADD)

I found NAME and TARGET to be unhelpfully generic.  The
docstring does say that name is the name of a fontset and
that TARGET is about characters.

The elisp manual names the params as:

    Function: set-fontset-font name character font-spec &optional frame add

character is an improvement but it should be plural.

I think they should be the same in both places and
this would be clearer:

    (FONTSET CHARACTERS FONT-SPEC &optional FRAME ADD)

Howard